Kerbal Space Program - Bug #9995

Crew assighment dialog is not refreshed when merging a vessel
06/20/2016 04:57 AM - IgorZ

Status: Confirmed Start date: 06/20/2016
Severity: Low % Done: 10%
Assignee:

Category: Gameplay

Target version:

Version: 1.1.2 Language: English (US)
Platform: Linux, Windows Mod Related: No
Expansion:

Description

Steps to reproduce:

1. In the editor load a vessel.

2. Switch into crew assignment mode.
3. Merge a vessel into the existing one.

Expected behavior:
1. If merged vessel has more crewable pods there should be more places for the crew appeared in the left (CrewAssignmentDialog).

Observed behavior:
1. The crew assignment dialog is not refreshed. To kick the refresh one need switch to another mode and then get back.

History

#1 - 06/20/2016 05:19 AM - IgorZ

Btw, another unpleasant behavior is replacing of the assigned crew from the merging vessel. In this example case Valentina was assigned to the root
pod but after the merge Jabediah took her place.

#2 - 07/17/2016 09:57 AM - TriggerAu

- Status changed from New to Needs Clarification

#3 - 07/20/2016 01:11 AM - Perry_Apsis
- File screenshot5.png added

Confirmed in clean 1.1.3 install. If you merge the parts while in crew assignment mode, the "Parts with crew capacity" tab is not updated until you
switch modes, for example into build mode and then back into crew mode. Probably nobody anticipated parts being added while in crew mode, since
you can't edit then.

#4 - 07/20/2016 01:12 AM - Perry_Apsis
- Status changed from Needs Clarification to Updated
- % Done changed from 0 to 10

#5 - 07/29/2016 03:35 PM - sal_vager
- Status changed from Updated to Confirmed
- Severity changed from Normal to Low

- Platform Linux added

Confirmed though trivial to fix within the game.
